Bug 1012696 - Review Request: opari2 - An OpenMP runtime performance measurement instrumenter
Review Request: opari2 - An OpenMP runtime performance measurement instrumenter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1013836
  Show dependency treegraph
 
Reported: 2013-09-26 18:45 EDT by Orion Poplawski
Modified: 2014-03-03 11:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-03 11:10:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2013-09-26 18:45:11 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/opari2.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/opari2-1.1.1-1.fc19.src.rpm
Description: OPARI2 is a source-to-source instrumentation tool for OpenMP and hybrid
codes.  It surrounds OpenMP directives and runtime library calls with calls
to the POMP2 measurement interface.

OPARI2 will provide you with a new initialization method that allows for
multi-directory and parallel builds as well as the usage of pre-instrumented
libraries. Furthermore, an efficient way of tracking parent-child
relationships was added. Additionally, we extended OPARI2 to support
instrumentation of OpenMP 3.0 tied tasks.
Comment 1 Susi Lehtola 2013-10-05 21:46:47 EDT
The summary needs a bit of improvement...
Comment 2 Orion Poplawski 2013-10-06 23:11:47 EDT
How's this?  Otherwise, no idea what to use.  Also, opari2 is like scorep, more like a compiler so the -devel files are always needed.

* Sun Oct 6 2013 Orion Poplawski <orion@cora.nwra.com> - 1.1.1-2
- Drop -devel sub-package
- New summary

http://www.cora.nwra.com/~orion/fedora/opari2.spec
http://www.cora.nwra.com/~orion/fedora/opari2-1.1.1-2.fc19.src.rpm
Comment 3 Susi Lehtola 2013-10-07 11:21:19 EDT
(In reply to Orion Poplawski from comment #2)
> How's this?  Otherwise, no idea what to use.

Well, now the summary is a lot better. To me plain 'instrumentation' is a bit vague. Maybe
 An OpenMP runtime performance measurement instrumenter
would be even better?
Comment 4 Orion Poplawski 2013-10-07 11:24:49 EDT
Sure.
Comment 5 Orion Poplawski 2014-02-26 11:34:20 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/opari2.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/opari2-1.1.2-1.fc20.src.rpm

* Wed Feb 26 2014 Orion Poplawski <orion@cora.nwra.com> - 1.1.2-1
- Update to 1.1.2
Comment 6 Christopher Meng 2014-02-26 22:01:21 EST
Cleanup and I will review it if possible.

rm -rf %{buildroot}

Append -print option to all find -delete operation.

cp -p AUTHORS ChangeLog COPYING README %{buildroot}%{_defaultdocdir}/%{name}/ ?

Why not %doc?
Comment 7 Orion Poplawski 2014-02-26 23:07:49 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/opari2.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/opari2-1.1.2-2.fc20.src.rpm

* Wed Feb 26 2014 Orion Poplawski <orion@cora.nwra.com> - 1.1.2-2
- Spec cleanup

%doc triggers duplicated filelist entries.
Comment 8 Christopher Meng 2014-02-26 23:09:29 EST
(In reply to Orion Poplawski from comment #7)
> %doc triggers duplicated filelist entries.

Then you can delete %_pkgdocdir first and use %doc to place docs. Idea?
Comment 9 Orion Poplawski 2014-02-27 00:32:51 EST
No - the package installs files into %_pkgdocdir as well via make install.
Comment 10 Christopher Meng 2014-02-27 01:12:32 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 77 files have unknown
     license. Detailed output of licensecheck:

GPL (v2 or later)
-----------------
opari2-1.1.2/build-config/ltmain.sh

Unknown or generated
--------------------
opari2-1.1.2/doc/example/example.c
opari2-1.1.2/doc/example/example.f90
opari2-1.1.2/doc/example_user_instrumentation/example_user_instrumentation.c
opari2-1.1.2/doc/example_user_instrumentation/example_user_instrumentation.f90
opari2-1.1.2/include/opari2/pomp2_lib.h
opari2-1.1.2/src/config-custom.h
opari2-1.1.2/src/config.h
opari2-1.1.2/src/opari/common.h
opari2-1.1.2/src/opari/handler.cc
opari2-1.1.2/src/opari/handler.h
opari2-1.1.2/src/opari/ompragma.cc
opari2-1.1.2/src/opari/ompragma.h
opari2-1.1.2/src/opari/ompragma_c.cc
opari2-1.1.2/src/opari/ompragma_f.cc
opari2-1.1.2/src/opari/ompregion.cc
opari2-1.1.2/src/opari/ompregion.h
opari2-1.1.2/src/opari/opari2.cc
opari2-1.1.2/src/opari/opari2.h
opari2-1.1.2/src/opari/opari2_config.cc
opari2-1.1.2/src/opari/opari2_config.h
opari2-1.1.2/src/opari/process_c.cc
opari2-1.1.2/src/opari/process_f.cc
opari2-1.1.2/src/opari/process_omp.cc
opari2-1.1.2/src/pomp-lib-dummy/foos.c
opari2-1.1.2/src/pomp-lib-dummy/getfname.f
opari2-1.1.2/src/pomp-lib-dummy/pomp2_fwrapper.c
opari2-1.1.2/src/pomp-lib-dummy/pomp2_fwrapper_base.c
opari2-1.1.2/src/pomp-lib-dummy/pomp2_fwrapper_base.h
opari2-1.1.2/src/pomp-lib-dummy/pomp2_lib.c
opari2-1.1.2/src/pomp-lib-dummy/pomp2_region_info.c
opari2-1.1.2/src/pomp-lib-dummy/pomp2_region_info.h
opari2-1.1.2/test/data/jacobi/C++/jacobi.cpp
opari2-1.1.2/test/data/jacobi/C++/jacobi.h
opari2-1.1.2/test/data/jacobi/C++/main.cpp
opari2-1.1.2/test/data/jacobi/C/jacobi.c
opari2-1.1.2/test/data/jacobi/C/jacobi.h
opari2-1.1.2/test/data/jacobi/C/main.c
opari2-1.1.2/test/data/jacobi/F/VariableDef.f90
opari2-1.1.2/test/data/jacobi/F77/jacobi.f
opari2-1.1.2/test/data/jacobi/F77/main.f
opari2-1.1.2/test/data/test1.c
opari2-1.1.2/test/data/test1.f
opari2-1.1.2/test/data/test1.f90
opari2-1.1.2/test/data/test10.c
opari2-1.1.2/test/data/test10.f90
opari2-1.1.2/test/data/test11.f90
opari2-1.1.2/test/data/test1_a.f
opari2-1.1.2/test/data/test1_a.f90
opari2-1.1.2/test/data/test1_disable.f
opari2-1.1.2/test/data/test1_free.f
opari2-1.1.2/test/data/test2.c
opari2-1.1.2/test/data/test2.f
opari2-1.1.2/test/data/test2.f90
opari2-1.1.2/test/data/test3.c
opari2-1.1.2/test/data/test3.f
opari2-1.1.2/test/data/test3.f90
opari2-1.1.2/test/data/test4.c
opari2-1.1.2/test/data/test4.f
opari2-1.1.2/test/data/test4.f90
opari2-1.1.2/test/data/test5.c
opari2-1.1.2/test/data/test5.f
opari2-1.1.2/test/data/test5.f90
opari2-1.1.2/test/data/test6.c
opari2-1.1.2/test/data/test6.f
opari2-1.1.2/test/data/test6.f90
opari2-1.1.2/test/data/test7.c
opari2-1.1.2/test/data/test7.f
opari2-1.1.2/test/data/test7.f90
opari2-1.1.2/test/data/test8.c
opari2-1.1.2/test/data/test8.f
opari2-1.1.2/test/data/test8.f90
opari2-1.1.2/test/data/test9.c
opari2-1.1.2/test/data/test9.f90
opari2-1.1.2/vendor/common/build-config/config-common.h
opari2-1.1.2/vendor/common/build-config/generate-library-dependencies.sh
opari2-1.1.2/vendor/common/cutest/CuTest.c
opari2-1.1.2/vendor/common/cutest/CuTest.h

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 686080 bytes in 48 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: opari2-1.1.2-2.fc21.i686.rpm
          opari2-1.1.2-2.fc21.src.rpm
opari2.i686: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
opari2.i686: W: spelling-error Summary(en_US) instrumenter -> instrumented, instrument er, instrument-er
opari2.i686: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
opari2.i686: W: spelling-error %description -l en_US multi -> mulch, mufti
opari2.i686: W: spelling-error %description -l en_US pre -> per, ore, pee
opari2.i686: W: devel-file-in-non-devel-package /usr/share/opari2/devel/pomp2_region_info.h
opari2.i686: W: devel-file-in-non-devel-package /usr/include/opari2/pomp2_lib.h
opari2.i686: W: devel-file-in-non-devel-package /usr/bin/opari2-config
opari2.i686: W: devel-file-in-non-devel-package /usr/share/opari2/devel/pomp2_region_info.c
opari2.i686: W: no-manual-page-for-binary opari2-config
opari2.i686: W: no-manual-page-for-binary opari2
opari2.src: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
opari2.src: W: spelling-error Summary(en_US) instrumenter -> instrumented, instrument er, instrument-er
opari2.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
opari2.src: W: spelling-error %description -l en_US multi -> mulch, mufti
opari2.src: W: spelling-error %description -l en_US pre -> per, ore, pee
2 packages and 0 specfiles checked; 0 errors, 16 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint opari2
opari2.i686: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
opari2.i686: W: spelling-error Summary(en_US) instrumenter -> instrumented, instrument er, instrument-er
opari2.i686: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
opari2.i686: W: spelling-error %description -l en_US multi -> mulch, mufti
opari2.i686: W: spelling-error %description -l en_US pre -> per, ore, pee
opari2.i686: W: devel-file-in-non-devel-package /usr/share/opari2/devel/pomp2_region_info.h
opari2.i686: W: devel-file-in-non-devel-package /usr/include/opari2/pomp2_lib.h
opari2.i686: W: devel-file-in-non-devel-package /usr/bin/opari2-config
opari2.i686: W: devel-file-in-non-devel-package /usr/share/opari2/devel/pomp2_region_info.c
opari2.i686: W: no-manual-page-for-binary opari2-config
opari2.i686: W: no-manual-page-for-binary opari2
1 packages and 0 specfiles checked; 0 errors, 11 warnings.
# echo 'rpmlint-done:'



Requires
--------
opari2 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    /usr/bin/gawk
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libm.so.6
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)



Provides
--------
opari2:
    opari2
    opari2(x86-32)



Source checksums
----------------
http://www.vi-hps.org/upload/packages/opari2/opari2-1.1.2.tar.gz :
  CHECKSUM(SHA256) this package     : 8405c2903730d94c828724b3a5f8889653553fb8567045a6c54ac0816237835d
  CHECKSUM(SHA256) upstream package : 8405c2903730d94c828724b3a5f8889653553fb8567045a6c54ac0816237835d


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn opari2-1.1.2-2.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

------------------------
1. Silent build. Please append an option to %configure to disable silent build because we need to check if flags are inserted properly.

2. %check?
Comment 11 Orion Poplawski 2014-02-28 12:31:50 EST
Good catch.

Spec URL: http://www.cora.nwra.com/~orion/fedora/opari2.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/opari2-1.1.2-3.fc20.src.rpm

* Fri Feb 28 2014 Orion Poplawski <orion@cora.nwra.com> - 1.1.2-3
- Add %%check
- Disable silent build
Comment 12 Christopher Meng 2014-03-01 13:25:45 EST
PACKAGE APPROVED.
Comment 13 Orion Poplawski 2014-03-01 16:01:43 EST
New Package SCM Request
=======================
Package Name: opari2
Short Description:  An OpenMP runtime performance measurement instrumenter
Owners: orion
Branches: f20 f19 epel7 el6
InitialCC:
Comment 14 Gwyn Ciesla 2014-03-03 08:03:25 EST
Git done (by process-git-requests).
Comment 15 Orion Poplawski 2014-03-03 11:10:54 EST
Checked in and built.  Thanks all.

Note You need to log in before you can comment on or make changes to this bug.